phing-tasks-system-condition

# Class: ContainsCondition Source Location: /tasks/system/condition/ContainsCondition.php
### Class Overview
Is one string part of another string? #### Author(s): Stefan Bodewig <stefan.bodewig@epost.de> (Ant) Hans Lellelid <hans@xmpl.org> (Phing) #### Version: $Revision: 526 $ Implements interfaces: Condition | ### Methods evaluate setCaseSensitive setString setSubstring
### Class Details [line 33] Is one string part of another string? #### Tags:
author: | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
author: | Hans Lellelid <hans@xmpl.org> (Phing)
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method evaluate [line 66]
`void evaluate( )`
Check whether string contains substring. #### Tags:
throws: | BuildException
access: | public
Implementation of: Condition::evaluate() [ Top ] ### method setCaseSensitive [line 58]
`void setCaseSensitive( $b)`
Whether to search ignoring case or not. #### Tags:
access: | public
#### Parameters:
| $b |
[ Top ] ### method setString [line 43]
`void setString( string $a1)`
The string to search in. #### Tags:
access: | public
#### Parameters:
string | $a1 |
[ Top ] ### method setSubstring [line 51]
`void setSubstring( string $a2)`
The string to search for. #### Tags:
access: | public
#### Parameters:
string | $a2 |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:35 +0200 by phpDocumentor 1.4.3